\_U\_DYN\_REGISTER(3)

NAME
_U_dyn_register -- register unwind-info for dynamically generated code

SYNOPSIS

#include <libunwind.h>

void _U_dyn_register(unw_dyn_info_t *di);

DESCRIPTION

The _U_dyn_register() routine registers unwind-info for a dynamically generated procedure. The procedure's unwind-info is described by a structure of type unw_dyn_info_t (see libunwind-dynamic(3)). A pointer to this structure is passed in argument di.

The _U_dyn_register() routine is guaranteed to execute in constant time (in the absence of contention from concurrent calls to _U_dyn_register() or _U_dyn_cancel()).

THREAD AND SIGNAL SAFETY

_U_dyn_register() is thread-safe but not safe to use from a signal handler.

SEE ALSO

libunwind-dynamic(3), _U_dyn_cancel(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.